MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000176Open CASCADE[OCCT] OCCT:Visualizationpublic2002-02-14 20:132016-12-09 16:38
Reporterjbz 
Assigned Tobugmaster 
PrioritynoneSeverityminor 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0000176: Documentation: Values returned by Quantity_TOC_HLS' parameters !
DescriptionDear bugmaster,
Here is a precision to be included into OCC documentation.

Description:
Try this following code:
aCol Quantity_Color ( Quantity_NOC_BLACK); // or WHITE
Standard_Real hoot, light, sat;
aCol. Been worth (hoot, light, sat, Quantity_TOC_HLS);
aCol. SetValues (hoot, light, 0. Quantity_TOC_HLS);
Exception is raised!

Diagnosis:
The values returned for hoot is equal to -1.
which is impossible because it should be included Between 0 and 349!
Thus when we call SetValues() method, there is a control of the validity of the
values and necessarily an exception is raised!.

*Status:
Problem of documentation, nowhere it is not said that the value returned by the
Value() method may be -1 for the Hue angle.

Best Regards,
Jaouad
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025448closedbugmaster Coding - remove useless header Quantity_Color_1.hxx 

-  Notes
(0058303)
kgv (developer)
2016-09-29 12:25

Dear bugmaster,

the Quantity_Color documentation has been corrected in scope of patch for 0025448.
Please switch this bug to VERIFIED.

- Issue History
Date Modified Username Field Change
2002-02-18 18:34 vtn Product Version 4.0 => dev
2002-02-18 18:34 vtn CC => sav
2002-05-07 14:58 bugmaster Assigned To bugmaster =>
2002-05-07 14:58 bugmaster Status new => assigned
2002-06-05 17:34 bugmaster Assigned To => sav
2005-07-13 16:27 bugmaster Assigned To sav => san
2005-07-13 16:27 bugmaster Category => VIZ
2005-07-13 16:27 bugmaster QAContact in development version => aki
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2015-11-17 16:46 kgv Relationship added related to 0025448
2016-09-29 12:25 kgv Note Added: 0058303
2016-09-29 12:25 kgv Assigned To san => bugmaster
2016-09-29 12:25 kgv Severity feature => minor
2016-09-29 12:25 kgv Status assigned => feedback
2016-09-29 12:25 kgv Resolution open => fixed
2016-09-29 12:25 kgv Fixed in Version EMPTY =>
2016-09-29 12:25 kgv Target Version => 7.1.0
2016-09-29 12:25 kgv Description Updated View Revisions
2016-10-05 12:14 bugmaster Status feedback => tested
2016-10-05 12:14 bugmaster Status tested => verified
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker